POST api/v1/timeintransit/getrates

Request Information

URI Parameters

None.

Body Parameters

ExportPriceCriteriaModel
NameDescriptionTypeAdditional information
PackageType

integer

None.

Value

decimal number

None.

FromStreetName

string

None.

FromPostcode

string

None.

FromCountryCode

string

None.

ToStreetName

string

None.

ToPostcode

string

None.

ToCountryCode

string

None.

ToStateProvinceCode

string

None.

ToCity

string

None.

PickupDate

date

None.

WeightCode

string

None.

Weight

decimal number

None.

WeightDescription

string

None.

CurrencyCode

string

None.

LeadId

integer

None.

ShipmentLeadId

integer

None.

CityCode

integer

None.

StreetCode

string

None.

CustomerNumber

integer

None.

ShipperNumber

string

None.

Request Formats

application/json, text/json

Sample:
{
  "PackageType": 1,
  "Value": 2.0,
  "FromStreetName": "sample string 3",
  "FromPostcode": "sample string 4",
  "FromCountryCode": "sample string 5",
  "ToStreetName": "sample string 6",
  "ToPostcode": "sample string 7",
  "ToCountryCode": "sample string 8",
  "ToStateProvinceCode": "sample string 9",
  "ToCity": "sample string 10",
  "PickupDate": "2021-09-09T05:23:07.2573207+03:00",
  "WeightCode": "sample string 11",
  "Weight": 12.0,
  "WeightDescription": "sample string 13",
  "CurrencyCode": "sample string 14",
  "LeadId": 15,
  "ShipmentLeadId": 16,
  "CityCode": 17,
  "StreetCode": "sample string 18",
  "CustomerNumber": 19,
  "ShipperNumber": "sample string 20"
}

application/xml, text/xml

Sample:
<ExportPriceCriteriaModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UPS.Ship.API.Models.Pricelist">
  <CityCode>17</CityCode>
  <CurrencyCode>sample string 14</CurrencyCode>
  <CustomerNumber>19</CustomerNumber>
  <FromCountryCode>sample string 5</FromCountryCode>
  <FromPostcode>sample string 4</FromPostcode>
  <FromStreetName>sample string 3</FromStreetName>
  <LeadId>15</LeadId>
  <PackageType>1</PackageType>
  <PickupDate>2021-09-09T05:23:07.2573207+03:00</PickupDate>
  <ShipmentLeadId>16</ShipmentLeadId>
  <ShipperNumber>sample string 20</ShipperNumber>
  <StreetCode>sample string 18</StreetCode>
  <ToCity>sample string 10</ToCity>
  <ToCountryCode>sample string 8</ToCountryCode>
  <ToPostcode>sample string 7</ToPostcode>
  <ToStateProvinceCode>sample string 9</ToStateProvinceCode>
  <ToStreetName>sample string 6</ToStreetName>
  <Value>2</Value>
  <Weight>12</Weight>
  <WeightCode>sample string 11</WeightCode>
  <WeightDescription>sample string 13</WeightDescription>
</ExportPriceCriteriaModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

RatingServiceModel
NameDescriptionTypeAdditional information
Services

Collection of RateService

None.

Alerts

Collection of RateAlert

None.

Response

RateServiceResponse

None.

ErrorCode

integer

None.

ErrorMessage

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Services": null,
  "Alerts": [
    {
      "Code": "sample string 1",
      "Description": "sample string 2"
    },
    {
      "Code": "sample string 1",
      "Description": "sample string 2"
    }
  ],
  "Response": {
    "Error": {
      "errorSeverityField": "sample string 1",
      "errorCodeField": "sample string 2",
      "errorDescriptionField": "sample string 3",
      "minimumRetrySecondsField": "sample string 4",
      "errorLocationField": [
        {
          "errorLocationElementNameField": "sample string 1",
          "errorLocationElementReferenceField": "sample string 2",
          "errorLocationAttributeNameField": "sample string 3"
        },
        {
          "errorLocationElementNameField": "sample string 1",
          "errorLocationElementReferenceField": "sample string 2",
          "errorLocationAttributeNameField": "sample string 3"
        }
      ],
      "errorDigestField": [
        "sample string 1",
        "sample string 2"
      ]
    }
  },
  "ErrorCode": 1,
  "ErrorMessage": "sample string 2"
}

application/xml, text/xml

Sample:
<RatingServiceModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UPS.Ship.API.Models.TimeInTransit">
  <Alerts>
    <RateAlert>
      <Code>sample string 1</Code>
      <Description>sample string 2</Description>
    </RateAlert>
    <RateAlert>
      <Code>sample string 1</Code>
      <Description>sample string 2</Description>
    </RateAlert>
  </Alerts>
  <ErrorCode>1</ErrorCode>
  <ErrorMessage>sample string 2</ErrorMessage>
  <Response>
    <Error xmlns:d3p1="http://schemas.datacontract.org/2004/07/">
      <d3p1:errorCodeField>sample string 2</d3p1:errorCodeField>
      <d3p1:errorDescriptionField>sample string 3</d3p1:errorDescriptionField>
      <d3p1:errorDigestField xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:string>sample string 1</d4p1:string>
        <d4p1:string>sample string 2</d4p1:string>
      </d3p1:errorDigestField>
      <d3p1:errorLocationField>
        <d3p1:ErrorLocation>
          <d3p1:errorLocationAttributeNameField>sample string 3</d3p1:errorLocationAttributeNameField>
          <d3p1:errorLocationElementNameField>sample string 1</d3p1:errorLocationElementNameField>
          <d3p1:errorLocationElementReferenceField>sample string 2</d3p1:errorLocationElementReferenceField>
        </d3p1:ErrorLocation>
        <d3p1:ErrorLocation>
          <d3p1:errorLocationAttributeNameField>sample string 3</d3p1:errorLocationAttributeNameField>
          <d3p1:errorLocationElementNameField>sample string 1</d3p1:errorLocationElementNameField>
          <d3p1:errorLocationElementReferenceField>sample string 2</d3p1:errorLocationElementReferenceField>
        </d3p1:ErrorLocation>
      </d3p1:errorLocationField>
      <d3p1:errorSeverityField>sample string 1</d3p1:errorSeverityField>
      <d3p1:minimumRetrySecondsField>sample string 4</d3p1:minimumRetrySecondsField>
    </Error>
  </Response>
  <Services i:nil="true" />
</RatingServiceModel>